<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.45.10.20
Name: Dok1 Adipositas Studie
Description: Template CDA ClinicalDocument (prototype, contains ClinicalDocument.component as StructuredBody)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.45.10.20-2018-04-24T110124-closed">
   <title>Dok1 Adipositas Studie</title>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/*[not(self::hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] | self::hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] | self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or @nullFlavor] | self::hl7:title | self::hl7:recordTarget[hl7:patientRole] | self::hl7:author[hl7:assignedAuthor] | self::hl7:effectiveTime[not(@nullFlavor)] | self::hl7:setId | self::hl7:versionNumber | self::hl7:custodian[hl7:assignedCustodian] | self::hl7:component[@contextConductionInd][hl7:structuredBody])]"
         id="d19e268-true-d1430e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.20-2018-04-24T110124.html"
              test="not(.)">(CDAAdipositasStudie)/d19e268-true-d1430e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:typeId[@root = '2.16.840.1.113883.1.3'][@extension = 'POCD_HD000040'] | hl7:templateId[@root = '2.16.840.1.113883.10.12.1'] | hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.6.1' or @nullFlavor] | hl7:title | hl7:recordTarget[hl7:patientRole] | hl7:author[hl7:assignedAuthor] | hl7:effectiveTime[not(@nullFlavor)] | hl7:setId | hl7:versionNumber | hl7:custodian[hl7:assignedCustodian] | hl7:component[@contextConductionInd][hl7:structuredBody] (rule-reference: d19e268-true-d1430e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:recordTarget[hl7:patientRole]/*[not(self::hl7:patientRole)]"
         id="d1463e16-true-d1475e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.18-2018-04-24T104832.html"
              test="not(.)">(CDAProband)/d1463e16-true-d1475e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:patientRole (rule-reference: d1463e16-true-d1475e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/*[not(self::hl7:id | self::hl7:patient)]"
         id="d1463e22-true-d1495e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.18-2018-04-24T104832.html"
              test="not(.)">(CDAProband)/d1463e22-true-d1495e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:patient (rule-reference: d1463e22-true-d1495e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient/*[not(self::hl7:id | self::hl7:name | self::hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:birthTime)]"
         id="d1463e28-true-d1536e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.18-2018-04-24T104832.html"
              test="not(.)">(CDAProband)/d1463e28-true-d1536e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name | hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:birthTime (rule-reference: d1463e28-true-d1536e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole/hl7:patient/hl7:name/*[not(self::hl7:given | self::hl7:family)]"
         id="d1463e36-true-d1561e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.18-2018-04-24T104832.html"
              test="not(.)">(CDAProband)/d1463e36-true-d1561e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:given | hl7:family (rule-reference: d1463e36-true-d1561e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/*[not(self::hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | self::hl7:time | self::hl7:assignedAuthor)]"
         id="d1589e16-true-d1641e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d1589e16-true-d1641e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:functionCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.10267-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] | hl7:time | hl7:assignedAuthor (rule-reference: d1589e16-true-d1641e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/*[not(self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] | self::hl7:addr | self::hl7:telecom | self::hl7:representedOrganization)]"
         id="d1589e29-true-d1715e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d1589e29-true-d1715e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] | hl7:addr | hl7:telecom | hl7:representedOrganization (rule-reference: d1589e29-true-d1715e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:standardIndustryClassCode | self::hl7:asOrganizationPartOf)]"
         id="d1589e45-true-d1779e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d1589e45-true-d1779e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:standardIndustryClassCode | hl7:asOrganizationPartOf (rule-reference: d1589e45-true-d1779e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/*[not(self::hl7:id | self::hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] | self::hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | self::hl7:effectiveTime | self::hl7:wholeOrganization)]"
         id="d1742e12-true-d1847e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d1742e12-true-d1847e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:code[@codeSystem = '2.16.840.1.113883.5.111' or @nullFlavor] | hl7:statusCode[@code = doc('include/voc-2.16.840.1.113883.1.11.15999-DYNAMIC.xml')//valueSet[1]/conceptList/*/@code or @nullFlavor] | hl7:effectiveTime | hl7:wholeOrganization (rule-reference: d1742e12-true-d1847e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:author[hl7:assignedAuthor]/hl7:assignedAuthor/hl7:representedOrganization/hl7:asOrganizationPartOf/hl7:wholeOrganization/*[not(self::hl7:id | self::hl7:name | self::hl7:telecom | self::hl7:addr | self::hl7:standardIndustryClassCode)]"
         id="d1742e35-true-d1906e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.19-2018-04-24T105442.html"
              test="not(.)">(CDAAutor)/d1742e35-true-d1906e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id | hl7:name | hl7:telecom | hl7:addr | hl7:standardIndustryClassCode (rule-reference: d1742e35-true-d1906e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:custodian[hl7:assignedCustodian]/*[not(self::hl7:assignedCustodian[hl7:representedCustodianOrganization])]"
         id="d1955e13-true-d1967e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="not(.)">(CDAcustodian)/d1955e13-true-d1967e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:assignedCustodian[hl7:representedCustodianOrganization] (rule-reference: d1955e13-true-d1967e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[hl7:representedCustodianOrganization]/*[not(self::hl7:representedCustodianOrganization)]"
         id="d1955e17-true-d1982e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="not(.)">(CDAcustodian)/d1955e17-true-d1982e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:representedCustodianOrganization (rule-reference: d1955e17-true-d1982e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:custodian[hl7:assignedCustodian]/hl7:assignedCustodian[hl7:representedCustodianOrganization]/hl7:representedCustodianOrganization/*[not(self::hl7:id[not(@nullFlavor)] | self::hl7:name | self::hl7:telecom | self::hl7:addr)]"
         id="d1955e21-true-d2012e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.10.12.104-2005-09-07T000000.html"
              test="not(.)">(CDAcustodian)/d1955e21-true-d2012e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:id[not(@nullFlavor)] | hl7:name | hl7:telecom | hl7:addr (rule-reference: d1955e21-true-d2012e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/*[not(self::hl7:structuredBody[hl7:component[@contextConductionInd]])]"
         id="d19e307-true-d2062e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.20-2018-04-24T110124.html"
              test="not(.)">(CDAAdipositasStudie)/d19e307-true-d2062e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:structuredBody[hl7:component[@contextConductionInd]] (rule-reference: d19e307-true-d2062e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/*[not(self::hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]])]"
         id="d19e313-true-d2095e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.20-2018-04-24T110124.html"
              test="not(.)">(CDAAdipositasStudie)/d19e313-true-d2095e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]] (rule-reference: d19e313-true-d2095e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/*[not(self::hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']])]"
         id="d19e319-true-d2126e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.20-2018-04-24T110124.html"
              test="not(.)">(CDAAdipositasStudie)/d19e319-true-d2126e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']] (rule-reference: d19e319-true-d2126e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/*[not(self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] | self::hl7:templateId[@root = '2.16.840.1.113883.10.12.201'] | self::hl7:code | self::hl7:title | self::hl7:text | self::hl7:effectiveTime | self::hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.22'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]])]"
         id="d2100e8-true-d2190e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.20-2018-04-24T110124.html"
              test="not(.)">(CDAAdipositasStudie)/d2100e8-true-d2190e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] | hl7:templateId[@root = '2.16.840.1.113883.10.12.201'] | hl7:code | hl7:title | hl7:text | hl7:effectiveTime | hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.22'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]] (rule-reference: d2100e8-true-d2190e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.22'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/*[not(self::hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.22'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']])]"
         id="d2100e31-true-d2249e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.20-2018-04-24T110124.html"
              test="not(.)">(CDAAdipositasStudie)/d2100e31-true-d2249e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.22'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']] (rule-reference: d2100e31-true-d2249e0)</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="false". Match context that we did not already match -->
   <rule context="//hl7:ClinicalDocument[hl7:templateId[@root = '2.16.840.1.113883.10.12.1']]/hl7:component[@contextConductionInd][hl7:structuredBody]/hl7:structuredBody[hl7:component[@contextConductionInd]]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]]/hl7:section[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.23'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.201']]/hl7:entry[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.22'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.22'] and hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] and hl7:templateId[@root = '2.16.840.1.113883.10.12.303']]/*[not(self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.22'] | self::hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] | self::hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] | self::hl7:id | self::hl7:code | self::hl7:text | self::hl7:statusCode | self::hl7:effectiveTime | self::hl7:value)]"
         id="d2234e1-true-d2313e0">
      <assert role="warning"
              see="http://pub.art-decor.org/smul/smul-html-20180814T111446/tmp-2.16.840.1.113883.3.1937.99.61.45.10.20-2018-04-24T110124.html"
              test="not(.)">(CDAAdipositasStudie)/d2234e1-true-d2313e0: dieses Element '<name/>' ist nicht definiert oder nicht mit diesem Inhalt definiert. Dies kann templateId, code oder id betreffen. Erwartet:  hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.22'] | hl7:templateId[@root = '2.16.840.1.113883.3.1937.99.61.45.10.7'] | hl7:templateId[@root = '2.16.840.1.113883.10.12.303'] | hl7:id | hl7:code | hl7:text | hl7:statusCode | hl7:effectiveTime | hl7:value (rule-reference: d2234e1-true-d2313e0)</assert>
   </rule>
</pattern>
